-- name: [PET] NoahTubeStudios
-- description: Noah from the YouTube channel \"NoahTubeStudios\", now as a WiddlePets mod for SM64DX-COOP!

if not _G.wpets then return end

local E_MODEL_NOAHPETGREEN = smlua_model_util_get_id('NoahPETGREEN_geo')

local ID_NOAHPETGREEN = _G.wpets.add_pet({
	name = "NoahTubeStudios", credit = "FlyerMations",
	description = "Noah from the YouTube channel \"NoahTubeStudios\".",
	modelID = E_MODEL_NOAHPETGREEN,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_head(ID_NOAHPETGREEN)

_G.wpets.set_pet_sounds(ID_NOAHPETGREEN, {
	spawn = 'HELLO.ogg',
	happy = 'BOITHISISSOOOOOTUFF.ogg',
	vanish = 'SPANISH_OR_VANISH.ogg',
	step = SOUND_GENERAL_BOING2
})